3 Replies Latest reply: Dec 23, 2012 9:17 AM by chrisfromgastonia
64peter Level 1 Level 1 (0 points)

Hi my question is, why do I keep getting the message, you can't install wordsfree game because you need a newer version of iPhone software?


iPhone 3G, iOS 4.3